<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Новости';
include_once '../sys/inc/thead.php';
title();
aut(); // форма авторизации
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `news` LIMIT 1",$db), 0)==0){header("Location: /index.php?".SID);exit;}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `news`"),0);
$set['p_str']=10;
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `news` ORDER BY `id` DESC LIMIT $start, $set[p_str]");
if ($k_post==0)
{
echo "Нет новостей\n";
}
while ($post = mysql_fetch_array($q))
{
mysql_query("UPDATE `news` SET `prochit` = '".($post['prochit']+1)."' WHERE `id` = '$post[id]' LIMIT 1");
echo "<div class='post'>";
echo "<a href='/news/news.php?id=$post[id]'> $post[title]</a>\n";
echo "(".vremja($post['time']).")\n";
echo "</div>";
}


if ($k_page>1)str('index.php?',$k_page,$page); // Вывод страниц
include_once '../sys/inc/tfoot.php';
?>
